## GtkTooltips GtkTooltips |

## Functions

GtkTooltips * | gtk_tooltips_new ()
void | gtk_tooltips_enable ()
void | gtk_tooltips_disable ()
void | gtk_tooltips_set_delay ()
void | gtk_tooltips_set_tip ()
GtkTooltipsData * | gtk_tooltips_data_get ()
void | gtk_tooltips_force_window ()
gboolean | gtk_tooltips_get_info_from_tip_window ()

## Types and Values

struct | GtkTooltips
struct | GtkTooltipsData

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkTooltips

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_tooltips_new ()

    GtkTooltips *
    gtk_tooltips_new (void);

`gtk_tooltips_new` is deprecated and should not be used in newly-written code.

### gtk_tooltips_enable ()

    void
    gtk_tooltips_enable (GtkTooltips *tooltips);

`gtk_tooltips_enable` is deprecated and should not be used in newly-written code.

### gtk_tooltips_disable ()

    void
    gtk_tooltips_disable (GtkTooltips *tooltips);

`gtk_tooltips_disable` is deprecated and should not be used in newly-written code.

### gtk_tooltips_set_delay ()

    void
    gtk_tooltips_set_delay (GtkTooltips *tooltips,
                            guint delay);

`gtk_tooltips_set_delay` is deprecated and should not be used in newly-written code.

### gtk_tooltips_set_tip ()

    void
    gtk_tooltips_set_tip (GtkTooltips *tooltips,
                          GtkWidget *widget,
                          const gchar *tip_text,
                          const gchar *tip_private);

`gtk_tooltips_set_tip` has been deprecated since version 2.12 and should not be used in newly-written code.

Adds a tooltip containing the message `tip_text` to the specified GtkWidget.

#### Parameters

tooltips | a GtkTooltips. |
widget | the GtkWidget you wish to associate the tip with. |
tip_text | a string containing the tip itself. | [allow-none]
tip_private | a string of any further information that may be useful if the user gets stuck. | [allow-none]

### gtk_tooltips_data_get ()

    GtkTooltipsData *
    gtk_tooltips_data_get (GtkWidget *widget);

`gtk_tooltips_data_get` is deprecated and should not be used in newly-written code.

### gtk_tooltips_force_window ()

    void
    gtk_tooltips_force_window (GtkTooltips *tooltips);

`gtk_tooltips_force_window` is deprecated and should not be used in newly-written code.

### gtk_tooltips_get_info_from_tip_window ()

    gboolean
    gtk_tooltips_get_info_from_tip_window (GtkWindow *tip_window,
                                           GtkTooltips **tooltips,
                                           GtkWidget **current_widget);

`gtk_tooltips_get_info_from_tip_window` has been deprecated since version 2.12 and should not be used in newly-written code.

Determines the tooltips and the widget they belong to from the window in which they are displayed.

This function is mostly intended for use by accessibility technologies; applications should have little use for it.

#### Parameters

tip_window | a GtkWindow |
tooltips | the return location for the tooltips which are displayed in `tip_window` , or `NULL` |
current_widget | the return location for the widget whose tooltips are displayed, or `NULL` |

#### Returns

`TRUE` if `tip_window` is displaying tooltips, otherwise `FALSE`.

Since: 2.4

## Types and Values

### struct GtkTooltips

    struct GtkTooltips;

`GtkTooltips` is deprecated and should not be used in newly-written code.

### struct GtkTooltipsData

    struct GtkTooltipsData {
      GtkTooltips *tooltips;
      GtkWidget *widget;
      gchar *tip_text;
      gchar *tip_private;
    };

`GtkTooltipsData` is deprecated and should not be used in newly-written code.